org.modeshape.connector.git

## Class GitLexicon

- java.lang.Object
- - org.modeshape.connector.git.GitLexicon

-     @Immutable
      public class GitLexicon
      extends Object

  Lexicon of names from the "`http://www.modeshape.org/git/1.0`" namespace used in the Git connector.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GitLexicon.Namespace`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Name` | `AUTHOR`
    `static Name` | `BRANCH`
    `static Name` | `BRANCHES`
    `static Name` | `COMMIT`
    `static Name` | `COMMITS`
    `static Name` | `COMMITTED`
    `static Name` | `COMMITTER`
    `static Name` | `DETAIL`
    `static Name` | `DETAILED_COMMIT`
    `static Name` | `DETAILS`
    `static Name` | `DIFF`
    `static Name` | `FILE`
    `static Name` | `FOLDER`
    `static Name` | `HISTORY` Property names
    `static Name` | `MESSAGE`
    `static Name` | `OBJECT`
    `static Name` | `OBJECT_ID`
    `static Name` | `PARENTS`
    `static Name` | `RESOURCE`
    `static Name` | `ROOT`
    `static Name` | `TAG`
    `static Name` | `TAGS`
    `static Name` | `TITLE`
    `static Name` | `TREE`
    `static Name` | `TREES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GitLexicon()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROOT

          public static final Name ROOT

    - #### BRANCHES

          public static final Name BRANCHES

    - #### BRANCH

          public static final Name BRANCH

    - #### TAGS

          public static final Name TAGS

    - #### TAG

          public static final Name TAG

    - #### COMMITS

          public static final Name COMMITS

    - #### COMMIT

          public static final Name COMMIT

    - #### OBJECT

          public static final Name OBJECT

    - #### TREES

          public static final Name TREES

    - #### FOLDER

          public static final Name FOLDER

    - #### FILE

          public static final Name FILE

    - #### RESOURCE

          public static final Name RESOURCE

    - #### DETAILS

          public static final Name DETAILS

    - #### DETAILED_COMMIT

          public static final Name DETAILED_COMMIT

    - #### OBJECT_ID

          public static final Name OBJECT_ID

    - #### AUTHOR

          public static final Name AUTHOR

    - #### COMMITTER

          public static final Name COMMITTER

    - #### COMMITTED

          public static final Name COMMITTED

    - #### TITLE

          public static final Name TITLE

    - #### MESSAGE

          public static final Name MESSAGE

    - #### PARENTS

          public static final Name PARENTS

    - #### HISTORY

          public static final Name HISTORY

      Property names

    - #### DIFF

          public static final Name DIFF

    - #### TREE

          public static final Name TREE

    - #### DETAIL

          public static final Name DETAIL

  - ### Constructor Detail

    - #### GitLexicon

          public GitLexicon()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.